# lcov-server docs

> 🎯 A simple lcov server & cli parser

- lcov-server
- What is this?
- Prerequisites
- Install
- Usage
  - Upload
  - Server

# What is this?

It's a lcov server! It stores lcov reports and categorizes them based on their origin repo.

# Prerequisites

- `mongodb` installed
- `nodejs` installed

# Install

    npm install lcov-server -g

# Usage

    Usage: lcov-server [options]

    Options:

      -V, --version          output the version number
      -u, --upload [server]  Set the url to upload lcov data too
      -s, --serve            Pass this option to startup a lcov-server instance
      -d, --db [db]          Set the db connection
      -h, --help             output usage information

## Upload

    tap test --coverage-report=text-lcov | lcov-server --upload http://...

## Server

    lcov-server --serve --db mongodb://localhost:32768/lcov-server